Subject: [alpine-aports] [PATCH] testing/opendkim: new aport

From: Valery Kartel <[email-masked]>
Date: Fri, 22 Jan 2016 20:46:32 +0200

DKIM signing and verifying filter for MTAs
http://www.opendkim.org
---
 testing/opendkim/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/opendkim/APKBUILD

diff --git a/testing/opendkim/APKBUILD b/testing/opendkim/APKBUILD
new file mode 100644
index 0000000..560e3b3
--- /dev/null
+++ b/testing/opendkim/APKBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Valery Kartel <[email-masked]>
+# Contributor: Valery Kartel <[email-masked]>
+pkgname=opendkim
+pkgver=2.10.3
+pkgrel=0
+pkgdesc="DKIM signing and verifying filter for MTAs"
+url="http://www.opendkim.org"
+arch="all"
+license="custom"
+depends=""
+depends_dev=""
+makedepends="$depends_dev openssl-dev libmilter-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
+source="http://downloads.sourceforge.net/project/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+	install -Dm644 LICENSE.Sendmail "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.Sendmail
+}
+
+md5sums="916e691cdd16cfabd1cd6efe745323f9  opendkim-2.10.3.tar.gz"
+sha256sums="43a0ba57bf942095fe159d0748d8933c6b1dd1117caf0273fa9a0003215e681b  opendkim-2.10.3.tar.gz"
+sha512sums="97923e533d072c07ae4d16a46cbed95ee799aa50f19468d8bc6d1dc534025a8616c3b4b68b5842bc899b509349a2c9a67312d574a726b048c0ea46dd4fcc45d8  opendkim-2.10.3.tar.gz"
-- 
2.7.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---